1. Proprietários
Veploy API
  • Visão geral
  • Autenticação
  • Limites de requisição
  • Imóveis
    • Listar imóveis
    • Consultar imóvel
    • Cadastrar imóvel
    • Alterar imóvel
    • Excluir imóvel
    • Restaurar imóvel
    • Enviar foto do imóvel (Beta)
    • Remover foto do imóvel (Beta)
    • Listar tipos de imóvel
  • Proprietários
    • Listar proprietários
      GET
    • Consultar proprietário
      GET
    • Cadastrar proprietário
      POST
    • Alterar proprietário
      PATCH
    • Excluir proprietário
      DELETE
  • Leads
    • Listar leads
    • Consultar lead
    • Criar lead
    • Alterar responsável
    • Atualizar lead
    • Consultar linha do tempo do lead
  • Visitas
    • Listar visitas
    • Consultar visita
    • Agendar visita
    • Alterar visita
  • Propostas
    • Listar propostas
    • Consultar proposta
    • Registrar proposta
    • Alterar proposta
  • Portais
    • Listar portais
    • Consultar portal
    • Listar imóveis do XML
  • Usuários
    • Listar usuários
    • Consultar usuário
    • Consultar permissões do usuário
    • Convidar usuário
    • Alterar ficha do usuário
    • Desativar usuário
    • Reativar usuário
    • Remover usuário
  • Perfis de acesso
    • Listar perfis de acesso
  • Artigos
    • Listar artigos
    • Criar artigo
    • Consultar artigo
    • Alterar artigo
    • Enviar capa do artigo (Beta)
  • Temas
    • Tema do site
  1. Proprietários

Cadastrar proprietário

POST
/v1/owners
Cadastra um proprietário, como no painel. O cadastro é sempre novo: a API não deduplica por telefone ou documento. Precisa de ao menos um contato (phones ou email); documents.cpf só vale para individual, documents.cnpj, documents.representative_cpf e representative_name só para company. Telefone é gravado em E.164. O cadastro nasce sem created_by_id: a chave é integração, não pessoa. Aceita Idempotency-Key.
Respostas
201: proprietário cadastrado; Location aponta para ele. A resposta entra na trilha de acesso a dados pessoais da conta.
400: corpo inválido, documento com dígito verificador errado, telefone não reconhecido, documento incoerente com type ou nenhum contato.

Requisição

Authorization
Bearer Token
Forneça seu token bearer no cabeçalho
Authorization
ao fazer requisições para recursos protegidos.
Exemplo:
Authorization: Bearer ********************
or
Parâmetros de Consulta

Parâmetros Header

Parâmetros Bodyapplication/jsonNecessário

Examples

Respostas

🟢201
application/json
Default Response
Bodyapplication/json

🟠400
🟠401
🟠403
🟠409
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.veploy.com/v1/owners?expand=created_by' \
--header 'idempotency-key;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "individual",
    "name": "string",
    "representative_name": "string",
    "phones": [
        {
            "number": "string",
            "label": "string"
        }
    ],
    "email": "user@example.com",
    "documents": {
        "cpf": "string",
        "cnpj": "string",
        "representative_cpf": "string"
    },
    "address": {
        "state": "AC",
        "city": "string",
        "neighborhood": "string",
        "street": "string",
        "number": "string",
        "complement": "string",
        "zipcode": "string"
    },
    "social": {
        "facebook": "http://example.com",
        "instagram": "http://example.com",
        "x": "http://example.com",
        "tiktok": "http://example.com",
        "youtube": "http://example.com",
        "linkedin": "http://example.com"
    }
}'
Response Response Example
201 - Exemplo 1
{
    "data": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "type": "individual",
        "name": null,
        "representative_name": null,
        "phones": [
            {
                "number": "string",
                "label": null
            }
        ],
        "email": null,
        "documents": {
            "cpf": null,
            "cnpj": null,
            "representative_cpf": null
        },
        "address": {
            "state": null,
            "city": null,
            "neighborhood": null,
            "street": null,
            "number": null,
            "complement": null,
            "zipcode": null
        },
        "social": {
            "facebook": null,
            "instagram": null,
            "x": null,
            "tiktok": null,
            "youtube": null,
            "linkedin": null
        },
        "properties": [
            {
                "ref": "string"
            }
        ],
        "created_by_id": "9377d689-01fb-4abf-8450-3368d2c1924f",
        "created_by": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "email": "string",
            "phone": "string",
            "cpf": "string",
            "creci": "string",
            "birth_date": "string",
            "avatar_url": "string",
            "role": "string",
            "status": "active",
            "lead_distribution_enabled": true,
            "username": "string",
            "invited_at": "2019-08-24T14:15:22.123Z",
            "email_confirmed_at": "2019-08-24T14:15:22.123Z",
            "created_at": "2019-08-24T14:15:22.123Z"
        },
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z"
    }
}
Modificado em 2026-11-12 20:12:25
Página anterior
Consultar proprietário
Próxima página
Alterar proprietário
Built with